### org.jfree.layouting.layouter.style.resolver

# Class ResolverFactory

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.resolver.ResolverFactory`

`public class ResolverFactory`
`extends java.lang.Object`

Creation-Date: 11.12.2005, 14:40:17

Author:
  Thomas Morgner

  ## Method Summary

  `static ResolverFactory`

  `getInstance()`

  `void`

  `performResolve(LayoutProcess process, LayoutElement node)`

  `void`

  `registerDefaults()`

## Method Details

### getInstance

    public static ResolverFactory getInstance()

### performResolve

    public void performResolve(LayoutProcess process,
                               LayoutElement node)

### registerDefaults

    public void registerDefaults()